shevek::avahi::browser::owner(3)

NAME
shevek::avahi::browser::owner -

Information about a discovered server.

SYNOPSIS

#include <avahi.hh>

  Public Member Functions

owner (Glib::ustring const &h, int p)
Create an owner object. The application has no use for this.
owner ()
Create an owner object. The application has no use for this.
bool operator< (owner const &that) const
Allow sorting so owners can be put in a std::map.

  Public Attributes

Glib::ustring host
Hostname or ip address of the server.
int port
Port that is served by the server.
details_list details
Services provided by this host.

Detailed Description

Information about a discovered server.

Author

Generated automatically by Doxygen for libshevek from the source code.